Bug 1189839 - MERGE3: Do not lose any members from view during a series of merges
Summary: MERGE3: Do not lose any members from view during a series of merges
Keywords:
Status: ON_QA
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: JGroups
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER3
: 6.5.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-05 15:16 UTC by Radim Vansa
Modified: 2022-05-31 22:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JGRP-1910 0 Major Resolved MERGE3: Do not lose any members from view during a series of merges 2015-07-01 11:12:59 UTC

Description Radim Vansa 2015-02-05 15:16:01 UTC
During merge, data may be lost during merge due to JGroups temporarily reporting the nodes as crashed.

Comment 2 JBoss JIRA Server 2015-02-26 04:59:11 UTC
Bela Ban <bela> updated the status of jira JGRP-1910 to Resolved

Comment 4 Matej Čimbora 2015-03-11 07:54:14 UTC
The issue still persists, i.e. the sequence of merge views does not necessarily meet the requirements as described in JGRP-1910. Bela proposed further investigation (either as a part of JGRP-1910 or creating a new issue if required).

Comment 5 Sebastian Łaskawiec 2015-04-29 12:15:27 UTC
Updating JGroups to 3.6.3: https://github.com/infinispan/jdg/pull/636


Note You need to log in before you can comment on or make changes to this bug.